%define title 	Leafpad

Summary:	Notepad clone
Summary(de):	Notepad geklont
Name:		leafpad
Version:	0.8.18.1
Release:	%mkrel 3
License:	GPL
Group:		Editors
URL:		http://tarot.freeshell.org/leafpad/
Source0:	%{name}-%{version}.tar.xz
Patch0:		leafpad-0.8.16-fix-str-fmt.patch
Patch1:		leafpad-0.8.17-fix-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
Obsoletes:  %name < %version

%description
Leafpad is a simple GTK+ based text editor. 
The user interface is similar to "notepad", 
and it aims to be lighter than GEdit and 
KWrite and to be as useful as them.

Following features are intended...

    * Minimum requirement
    * Minimal menu item
    * No toolbar
    * Single document interface (SDI)
    * Character coding auto detection 

#german
%description -l de
Leafpad ist ein einfacher GTK +-basierter Texteditor. 
Die Benutzeroberfläche ist ähnlich der, des "Notepad", 
und es ist einfacher als Gedit und KWrite, jedoch genauso nützlich.

Features sind:

     * Mindestanforderung 
     * Minimal Menüpunkt 
     * Keine Symbolleiste 
     * Single Document Interface (SDI) 
     * Zeichencodierung automatische Erkennung

#french
%description -l fr
Leafpad est une interface GTK + simple éditeur de texte. 
L'interface utilisateur est similaire à "notepad", 
et il vise à être plus légers que gedit et 
KWrite et d'être aussi utiles comme eux.

Fonctionnalités suivantes sont destinées ... 

     * Configuration minimum requise 
     * Élément du menu Minimal 
     * Pas de barre d'outils 
     * Single Document Interface (SDI) 
     * Détection automatique de codage de caractères

#spanish
%description -l es
Leafpad es un simple GTK + editor basado en texto. 
La interfaz de usuario es similar a la "libreta", 
y que aspira a ser más ligero que el gedit y 
KWrite y ser tan útil como ellos.

Siguientes características están destinadas ... 

     * El requisito mínimo 
     * Elemento de menú Minimal 
     * No barra de herramientas 
     * Interfaz de documento único (SDI) 
     De codificación de caracteres * Detección automática

#polish
%description -l pl
Leafpad jest proste GTK + edytor tekstu. 
Interfejs użytkownika jest podobna do "notatnika" 
i to ma być lżejsze niż gedit i 
Wielopoziomowe i być tak przydatne, jak im.

Następujące funkcje są przeznaczone ... 

     * Minimalne wymagania 
     * Minimalna menu 
     * Brak paska narzędzi 
     * Single Document Interface (SDI) 
     * Kodowanie znaków automatycznego wykrywania

#serbian
%description -l sr
Леафпад је једноставан ГТК + верзију заснива уређивање текста. 
Кориснички интерфејс је сличан "Нотепад", 
и настоји да буде лакши од гедит и 
КУрите и да буду корисни јер њима.

Следеће функције су намењене ... 

     * Минимални услов 
     * Минимални мени 
     * Не алаткама 
     * Сингл документ интерфејс (СДИ) 
     * Знакова кодирање аутоматско откривање

#dutch
%description -l nl
Leafpad is een simpele GTK + gebaseerde tekst-editor. 
De gebruikersinterface is gelijk aan "notepad", 
en probeert zijn lichter dan gedit en 
KWrite en zo nuttig zijn als hen.

Volgende functies zijn bedoeld ... 

     * Minimale vereisten 
     * Minimale menu-item 
     * Geen werkbalk 
     * Single Document Interface (SDI) 
     * Karakter codering automatische detectie
   
%prep
%setup -q 
%patch0 -p0
%patch1 -p1

%build
%configure2_5x
%make WARN_CFLAGS=""

%make 

%install
rm -rf %buildroot
%makeinstall_std


desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-MoreApplications-Editors" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
rm -f %{buildroot}%{_datadir}/pixmaps/%name.png 
rm -f %{buildroot}%{_datadir}/pixmaps/%name.xpm
cp -af %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%name.svg \
%{buildroot}%{_datadir}/pixmaps/%name.svg


%find_lang %name --with-gnome

%clean
rm -rf %buildroot

%post
%update_menus

%postun 
%clean_menus


%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/
%{_datadir}/applications/*.desktop


%changelog
* Tue Apr 23 2019 tex - 0.8.18.1-3pclos2019
- rebuild against updates

* Wed May 02 2018 bb2 <bb2> - 0.8.18,1-2pclos2018
- rebuild new png

* Mon Jan 31 2011 Texstar <texstar at gmail.com> 0.8.18.1-1pclos2011
- 0.8.18.1

* Sun Nov 01 2009 slick50 <lxgator@gmail.com> 0.8.17-1pclos2010
- 0.8.17

* Sun Oct 04 2009 Neal <nealbrks0@gmail.com> 0.8.16-2pclos2009
- gcc update


